# Bulk Add Companies

`POST /api/v1/company/{GROUP_NAME} HTTP/1.1`

Replace GROUP\_NAME with the Group Name under which the companies have to be added

**Request body**

```
{
            "companyIds": ["company_id"]
}
```

| Param        | Mandatory | Description                                                                                                                                                     |
| ------------ | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| company\_ids | Y         | <p>Array of Intellizence Company Ids that you would like to add.<br><br>If the GROUP\_NAME does not exist, it would be created and companies will be added.</p> |

**Response body**

```
{
            "status": status,
            "addedCompanyIds": ["company_id"]
}                               
```

| Param           | Description                                                                                     |
| --------------- | ----------------------------------------------------------------------------------------------- |
| addedCompanyIds | Array of Company Ids which are added                                                            |
| status          | <p>status codes - </p><p>200 - Success<br>201 - You are adding more companies than allowed </p> |
